vertex_attr_names {igraph} | R Documentation

## List names of vertex attributes

### Description

List names of vertex attributes

### Usage

    vertex_attr_names(graph)

### Arguments

`graph` | The graph.

### Value

Character vector, the names of the vertex attributes.

### See Also

Other graph attributes: `delete_edge_attr`, `delete_graph_attr`, `delete_vertex_attr`, `edge_attr<-`, `edge_attr_names`, `edge_attr`, `graph_attr<-`, `graph_attr_names`, `graph_attr`, `igraph-dollar`, `igraph-vs-attributes`, `set_edge_attr`, `set_graph_attr`, `set_vertex_attr`, `vertex_attr<-`, `vertex_attr`

### Examples

    g <- make_ring(10) %>%
      set_vertex_attr("name", value = LETTERS[1:10]) %>%
      set_vertex_attr("color", value = rep("green", 10))
    vertex_attr_names(g)
    plot(g)

[Package igraph version 1.1.2 Index]